# Scan your Dockerfile

Snyk Container allows you to analyze your Dockerfile and scan base images from the Dockerfile.

## Prerequisites for Dockerfile analysis

Before using Dockerfile analysis, ensure that:

* The account you integrate Snyk with contains the relevant Dockerfile repository.
* You configure the integration for the Git repository that contains your Dockerfile. For more information, see [Supported SCMs for Dockerfile analysis](broken-reference).
* You have already imported the relevant container Project for monitoring.

## Supported SCMs for Dockerfile analysis

Snyk supports Dockerfile analysis for the following services:

* GitHub
* GitHub Enterprise
* GitLab
* Bitbucket Cloud
* Bitbucket Cloud App
* Bitbucket Server
* Azure Repos
